@echo off

Set Fich=FUS_KMC
Set Fichier=INV.CSV
Set Dossier=C:\SYMBOL\DUMT

If Exist %Fich%_NumPoste.TXL Del %Fich%_NumPoste.TXL
If Exist %Fich%_NumPoste.TX9 Del %Fich%_NumPoste.TX9
If Exist %Fich%_NumPoste.SDF Del %Fich%_NumPoste.SDF
If Exist %Fichier Del %Fichier

If Not Exist %Dossier\%Fichier Then
Begin
 StopMessage("MicroGestion|Le fichier INV.CSV n'est pas présent","Ok")
 Quit
End

AfficheMessage("MicroGestion|Traitement en cours...")

Rem Format fichier attendu (à adapter selon la configuration du client): CODE;RIEN;QUANTITE;ENTETE
Copy %Dossier\%Fichier %Fich%_NumPoste.SDF
Del %Dossier\%Fichier
Echo 13;9;35 > %Fich%_NumPoste.TXL

rem A adapter si utilisation de la donnée d'en-tête
Echo 1111111111111 BBBBBBBBB > %Fich%_NumPoste.TX9
 
Fact [%_NumPoste] MIMP_CLI=1 NON_SEL DEL_MACR=0 ECR_INV /[%Fich%_NumPoste.SDF]_F05_ALlI_RET_BAS_RET_DRO_RET_Quit

StopMessage("MicroGestion|Pressez les touches Ctrl + F6 et choisissez %Fich%_NumPoste.SDF","Ok") 